BEAGLE-CONFIG(1)

NAME
beagle-config - command-line interface to the Beagle configuration file

SYNOPSIS
beagle-config options
beagle-config sections
beagle-config sections section-options [params]

DESCRIPTION
beagle-config is a command line tool designed to manipulate the Beagle configuration.

The configuration is stored in a series of files usually located in the ~/.beagle/config directory. The configuration is split up into sections, each section being represented by 1 file.

The format used is the result of serialized objects. Manually modifying the configuration files is not recommended, you should use this utility instead.

Each section configures a different area of the Beagle system. Each section has a number of preset section-options (commands) which you can perform on it via this command-line application.

The available sections, and available options for each section, are discovered at runtime. This manual does not attempt to document the sections in detail. This manual demonstrates how you can retrieve a list of available sections and their options.

beagle-config can be used "offline", it does not require a Beagle daemon to be running for most operations. If a Beagle daemon is running, it will immediately be notified of any configuration changes, and your new settings will come into effect almost immediately. Alternatively, you can force a re-load with the --beagled-reload-config argument.

OPTIONS

--help
    Print a brief copyright and usage message.

--beagled-reload-config
    Asks the beagle daemon to reload the configuration files.

--list-sections
    Lists all of the available sections for use as the sections parameter.

SECTION OPTIONS
Each section has its own unique set of options available. To see a list of supported options for a particular section, run beagle-config section-name with no additional parameters.

PARAMS
Each option may take a number of parameters (or none). Please refer to online documentation if you require explanations of every available command.

AUTHOR
Originally written by Daniel Drake <dsd@gentoo.org>.

REPORTING BUGS
Report bugs to <dashboard-hackers@gnome.org>.

COPYRIGHT
Copyright © 2005 Novell, Inc.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
beagled(1),